#include<bits/stdc++.h>
using namespace std;
int kt(int n)
{
    int test=1;
    if(n<2) return 0;
    else{
        for (int i=2;i<=sqrt(n);i++)
    {
        if(n%i==0)
        {
            test =0;
             break;
        }
    }
    return test;}
}
int main()
{
    ifstream f1("SUMP.inp");
    ofstream f2("SUMP.out");
    int n;
    f1>>n;
    for(int i=0;i<n;i++)
    {
        int a,b;
        int r=0;
        f1>>a>>b;
        for(int j=a;j<=b;j++)
        {
            if(kt(j)==1)
            {
                r=r+j;
            }
        }
        f2<<r<<" ";
    }
}
